Get Promo Code - Flex Documentation

Get Promo Code

cURL

curl --request GET \
  --url https://api.withflex.com/v1/promo_codes/{id} \
  --header 'Authorization: Bearer <token>'

Python

import requests

url = "https://api.withflex.com/v1/promo_codes/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.withflex.com/v1/promo_codes/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.withflex.com/v1/promo_codes/{id}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>

Go

package main

import (
    "fmt"
    "net/http"
    "io"
)

func main() {

url := "https://api.withflex.com/v1/promo_codes/{id}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Unirest (Java)

HttpResponse<String> response = Unirest.get("https://api.withflex.com/v1/promo_codes/{id}")
  .header("Authorization", "Bearer <token>")
  .asString();

Ruby

require 'uri'
require 'net/http'

url = URI("https://api.withflex.com/v1/promo_codes/{id}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body

Status Codes

Example Response

{
  "promo_code": {
    "promo_code_id": "fpromo_01HACM7FZ1084XB1GB6053VM0E",
    "code": "SUMMER2016",
    "coupon": {
      "coupon_id": "fcoup_1234567890",
      "amount_off": 100,
      "applies_to": null,
      "duration": "once",
      "duration_in_months": null,
      "metadata": {
        "key": "value"
      },
      "name": "Coupon",
      "percent_off": 10,
      "max_redemptions": 100,
      "times_redeemed": 0,
      "valid": true,
      "created_at": "2024-05-17T14:59:21Z",
      "test_mode": true
    },
    "max_redemptions": 100,
    "times_redeemed": 0,
    "created_at": "2024-05-17T14:59:21Z",
    "customer": "fcus_01HACM7FZ1084XB1GB6053VM0D",
    "active": true,
    "metadata": {
      "key": "value"
    },
    "test_mode": false
  }
}

Error Response Format

{
  "code": "string",
  "detail": "string"
}

Authorization

Authorization: string
header: required
Use a Bearer token to access this API.

Path Parameters

Response Description